[Answered] A Powershell question

Discussion in 'Windows 7' started by Satoshi19, Jul 10, 2017.

  1. Satoshi19

    Satoshi19 MDL Member

    Jun 15, 2017
    141
    8
    10
    #1 Satoshi19, Jul 10, 2017
    Last edited: Jul 10, 2017
    Latest Powershell is 5.1
    According to this site adsecurity.o rg/?p=2277 adsecurity. org/?p=2604
    Powershell included with OS is of course 8-years old, outdated
    Do you guys recommending updating Powershell for better and maximum security, other than that I'm not a programmer/ developer or a powershell geek by the way.
    Also would it enable those security features by default or do I have to manually do it myself?
    I'm not familiar with Powershell except the fact that I know it can be excecuted in background silently, run commands.
    Also do I have to only download latest setup Is it cumulative .like .net Framework? or I'd have to download al (4.0, 5.0, 5.2l, then install one by one?
     
  2. netlords

    netlords MDL Novice

    Jun 20, 2012
    33
    6
    0
    IMHO its a quite abstract danger

    Why dont you check the installed version?
    Open an command window and enter powershell $psversiontable
    If there is a Version near to 5 your ok.
     
  3. Satoshi19

    Satoshi19 MDL Member

    Jun 15, 2017
    141
    8
    10
    This file right? Win7AndW2K8R2-KB3191566-x64, do I have to execute the script?
    is SP1 & net framework 4.5+ the only requirement ?
     
  4. sebus

    sebus MDL Guru

    Jul 23, 2008
    5,870
    1,769
    180
    Install Instructions are pretty self-explanatory